Retrieve Available Direct Data Files
Retrieve a list of all Direct Data files available for download.
GET
/api/{version}/services/directdata/filesHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
extract_type | The Direct Data file type: incremental_directdata, full_directdata, or log_directdata. If omitted, returns all files. Learn more about Direct Data file types. |
start_time | Specify a time in YYYY-MM-DDTHH:MM:SSZ format. For example, 7AM on January 15, 2024 would use 2024-01-15T07:00:00Z. If omitted, defaults to the Vault’s creation date and time. All Full files have a start time of 2000-01-01T00:00:00Z. |
stop_time | Specify a time in YYYY-MM-DDTHH:MM:SSZ format. For example, 9AM on January 15, 2024 would use 2024-01-15T09:00:00Z. If omitted, defaults to today’s date and current time. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v24.2/services/directdata/filesResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"total": 1042
},
"data": [
{
"name": "146478-20240213-0000-F",
"filename": "146478-20240213-0000-F.tar.gz",
"extract_type": "full_directdata",
"start_time": "2000-01-01T00:00Z",
"stop_time": "2024-02-13T00:00Z",
"record_count": 2085,
"size": 319078,
"fileparts": 1,
"filepart_details": [
{
"name": "146478-20240213-0000-F.001",
"filename": "146478-20240213-0000-F.tar.gz.001",
"filepart": 1,
"size": 319078,
"url": "https://myvault.veevavault.com/api/v24.2/services/directdata/files/146478-20240213-0000-F.001"
}
]
},
{
"name": "146478-20240214-0000-F",
"filename": "146478-20240214-0000-F.tar.gz",
"extract_type": "full_directdata",
"start_time": "2000-01-01T00:00Z",
"stop_time": "2024-02-14T00:00Z",
"record_count": 76256,
"size": 2634210,
"fileparts": 1,
"filepart_details": [
{
"name": "146478-20240214-0000-F.001",
"filename": "146478-20240214-0000-F.tar.gz.001",
"filepart": 1,
"size": 2634210,
"url": "https://myvault.veevavault.com/api/v24.2/services/directdata/files/146478-20240214-0000-F.001"
}
]
},
{
"name": "146478-20240215-0000-F",
"filename": "146478-20240215-0000-F.tar.gz",
"extract_type": "full_directdata",
"start_time": "2000-01-01T00:00Z",
"stop_time": "2024-02-15T00:00Z",
"record_count": 76500,
"size": 2640221,
"fileparts": 1,
"filepart_details": [
{
"name": "146478-20240215-0000-F.001",
"filename": "146478-20240215-0000-F.tar.gz.001",
"filepart": 1,
"size": 2640221,
"url": "https://myvault.veevavault.com/api/v24.2/services/directdata/files/146478-20240215-0000-F.001"
}
]
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, Vault lists all Direct Data files available for download. The response includes the following metadata: